Bug 116557 - Alt-gr button does not work in KDE (using Estonian keyboard layout)
Alt-gr button does not work in KDE (using Estonian keyboard layout)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-23 02:51 EST by Jaak Simm
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-27 08:20:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jaak Simm 2004-02-23 02:51:59 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040115

Description of problem:
When I log into KDE and launch a KDE program, Alt-gr combination with
other keys does not work, using Estonian keyboard layout. E.g. altgr+2
should give '@' but instead gives just 2.

But AltGr works in gnome programs (tried Gedit). And when I have
launched a gnome program during KDE session Alt-Gr starts to work in
KDE programs as well. Basically, it seems there is an issue with the
configuration of KDE keyboard.

I have encountered the same problem in Fedora Core 1. Also similar
issue has arizen with different machines and different keyboards.

Here are my configurations:
/etc/X11/XF86Config:
Section "InputDevice"
        Identifier  "Keyboard0"
        Driver      "keyboard"
        Option      "XkbRules" "xfree86"
        Option      "XkbModel" "pc105"
        Option      "XkbLayout" "us"
EndSection

# Tried Option "XkbLayout" "ee", "XkbModel" "pc104", but no difference.


In KDE keyboard configuration, I have installed "us" and "ee". The KDE
control panel dislays following command for "ee":
  setxkbmap -model pc104 -layout ee -variant basic
Tried also "nodeadkeys" instead of basic, but nothing changed.

Version-Release number of selected component (if applicable):
kdebase-3.1.95-0.1

How reproducible:
Always (unless you have already run a gnome program)

Steps to Reproduce:
1. Add Estonian keyboard in KDE regional settings
2. Change to Estonian keyboard
3. Without running any gnome programs press AltGr+2 in a KDE program
(KDE terminal or editor)

Actual Results:  gives you 2

Expected Results:  should give you @

Additional info:
Comment 1 Matthew Miller 2005-04-26 11:17:48 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 2 Jaak Simm 2005-04-27 04:33:44 EDT
It can be closed, cause I resolved it by copying some xorg configuration files
to xfree (in fc2 kde still looked for them).
Comment 3 Matthew Miller 2005-04-27 08:20:39 EDT
So in FC3 +, this just works? Assuming the answer is yes :) I'm marking this
resolved:currentrelease.

Note You need to log in before you can comment on or make changes to this bug.